export declare function isValidUrl(path: string): boolean;
export declare function isValidPathname(path: string): boolean;
export declare function extractPathFromBaseUrl(baseUrl: string): {
    hostname: string;
    pathname: string;
};
export declare function extendPathFromBaseUrl(path: string, baseUrl: string): string;
